#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.91.0
%define		qtver		5.15.2
%define		kaname		kpat
Summary:	kpat
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	e9d53e6b30f3f0106852c37961776034
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Svg-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	freecell-solver-devel
BuildRequires:	gettext-tools
BuildRequires:	ka6-libkdegames-devel >= 22.03.80
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcompletion-devel >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-kcrash-devel >= %{kframever}
BuildRequires:	kf6-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf6-kdoctools-devel >= %{kframever}
BuildRequires:	kf6-kguiaddons-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	kf6-knewstuff-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6Svg >= %{qtver}
Requires:	Qt6Widgets >= %{qtver}
Requires:	hicolor-icon-theme
Requires:	ka6-libkdegames >= 22.03.80
Requires:	kf6-kcompletion >= %{kframever}
Requires:	kf6-kconfig >= %{kframever}
Requires:	kf6-kconfigwidgets >= %{kframever}
Requires:	kf6-kcoreaddons >= %{kframever}
Requires:	kf6-kcrash >= %{kframever}
Requires:	kf6-kdbusaddons >= %{kframever}
Requires:	kf6-kguiaddons >= %{kframever}
Requires:	kf6-ki18n >= %{kframever}
Requires:	kf6-kio >= %{kframever}
Requires:	kf6-knewstuff >= %{kframever}
Requires:	kf6-kwidgetsaddons >= %{kframever}
Requires:	kf6-kxmlgui >= %{kframever}
Requires:	shared-mime-info
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KPat (aka KPatience) is a relaxing card sorting game. To win the game
a player has to arrange a single deck of cards in certain order
amongst each other.

%description -l pl.UTF-8
KPat (znany również jako KPatience) jest odprężającą grą w układanie
kart. Aby wygrać grę, gracz musi ułożyć pojedynczą talię kart w
odpowiedniej kolejności względem siebie.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DWITH_BH_SOLVER:BOOL=OFF \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database
%update_icon_cache hicolor
%update_desktop_database

%postun
%update_mime_database
%update_icon_cache hicolor
%update_desktop_database

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kpat
%attr(755,root,root) %{_libdir}/libkcardgame.so
%{_desktopdir}/org.kde.kpat.desktop
%{_datadir}/config.kcfg/kpat.kcfg
%{_iconsdir}/hicolor/*/apps/kpat.png
%{_datadir}/kpat
%{_datadir}/knsrcfiles/kcardtheme.knsrc
%{_datadir}/knsrcfiles/kpat.knsrc
%{_datadir}/metainfo/org.kde.kpat.appdata.xml
%{_datadir}/mime/packages/kpatience.xml
%{_datadir}/qlogging-categories6/kpat.categories
%{_mandir}/man6/kpat.6*
%lang(ca) %{_mandir}/ca/man6/kpat.6*
%lang(de) %{_mandir}/de/man6/kpat.6*
%lang(es) %{_mandir}/es/man6/kpat.6*
%lang(et) %{_mandir}/et/man6/kpat.6*
%lang(fr) %{_mandir}/fr/man6/kpat.6*
%lang(it) %{_mandir}/it/man6/kpat.6*
%lang(nl) %{_mandir}/nl/man6/kpat.6*
%lang(pt) %{_mandir}/pt/man6/kpat.6*
%lang(pt_BR) %{_mandir}/pt_BR/man6/kpat.6*
%lang(ru) %{_mandir}/ru/man6/kpat.6*
%lang(sl) %{_mandir}/sl/man6/kpat.6*
%lang(sv) %{_mandir}/sv/man6/kpat.6*
%lang(uk) %{_mandir}/uk/man6/kpat.6*
%{_datadir}/qlogging-categories6/kpat.renamecategories
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kpat.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 74fce69
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 50d02b0
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c3b6116
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 06f03ab
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 184d19a
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9c863f8
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f864a5a
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dfa4823
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8023b23
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ff4214d
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d640b94
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de12b95
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3167ed1
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> be3103a
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f91db60
- updated to 24.02.0

